Subject: bug#43164: 26.3.50; project.el still broken under Emacs 26.3

From: João Távora <[email-masked]>
Date: Wed, 2 Sep 2020 09:11:58 +0100

This is breaking Eglot for Emacs 26.3 users:
https://github.com/joaotavora/eglot/issues/530

João

On Wed, Sep 2, 2020, 00:14 Philipp Stephani <[email-masked]> wrote:

>
> 1. Start Emacs 26.3 using 'emacs -Q'
> 2. M-x list-packages
> 3. Install the 'project' package as usual.
> 4. Quit Emacs (C-x C-c)
> 5. Start Emacs 26.3 again using 'emacs -Q'
> 6. M-x toggle-debug-on-error (only for the backtrace)
> 7. M-x package-initialize
>
> An error about the void variable `tab-prefix-map' is signalled.  That's
> expected, as that variable is new in Emacs 27.
>
> Please ensure that project.el and other packages that are shipped with
> Emacs either stay compatible with the versions they purport to support,
> or bump the required version to Emacs 27.
>
> Backtrace:
>
> Debugger entered--Lisp error: (void-variable tab-prefix-map)
>   (define-key tab-prefix-map "p" (function project-other-tab-command))
>   eval-buffer(#<buffer  *load*> nil
> "/home/phst/.emacs.d/elpa/project-0.5.1/project-autoloads.el" nil t)  ;
> Reading at buffer position 2596
>
> load-with-code-conversion("/home/phst/.emacs.d/elpa/project-0.5.1/project-autoloads.el"
> "/home/phst/.emacs.d/elpa/project-0.5.1/project-autoloads.el" nil t)
>   load("/home/phst/.emacs.d/elpa/project-0.5.1/project-autoloads" nil t)
>   package--activate-autoloads-and-load-path(#s(package-desc :name project
> :version (0 5 1) :summary "Operations on the current project" :reqs ((emacs
> (26 3)) (xref (1 0 2))) :kind nil :archive nil :dir
> "/home/phst/.emacs.d/elpa/project-0.5.1" :extras ((:url . "
> http://elpa.gnu.org/packages/project.html")) :signed t))
>   package--load-files-for-activation(#s(package-desc :name project
> :version (0 5 1) :summary "Operations on the current project" :reqs ((emacs
> (26 3)) (xref (1 0 2))) :kind nil :archive nil :dir
> "/home/phst/.emacs.d/elpa/project-0.5.1" :extras ((:url . "
> http://elpa.gnu.org/packages/project.html")) :signed t) nil)
>   package-activate-1(#s(package-desc :name project :version (0 5 1)
> :summary "Operations on the current project" :reqs ((emacs (26 3)) (xref (1
> 0 2))) :kind nil :archive nil :dir "/home/phst/.emacs.d/elpa/project-0.5.1"
> :extras ((:url . "http://elpa.gnu.org/packages/project.html")) :signed t)
> nil deps)
>   package-activate(project)
>   package-initialize()
>   funcall-interactively(package-initialize)
>   call-interactively(package-initialize record nil)
>   command-execute(package-initialize record)
>   execute-extended-command(nil "package-initialize" "package-init")
>   funcall-interactively(execute-extended-command nil "package-initialize"
> "package-init")
>   call-interactively(execute-extended-command nil nil)
>   command-execute(execute-extended-command)
>
>
>
> In GNU Emacs 26.3.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.14)
>  of 2020-06-29
> Repository revision: 7497ee44b471f69ce59d131a6dece261e871534f
> Windowing system distributor 'The X.Org Foundation', version 11.0.12008000
> System Description:     Debian GNU/Linux rodete
>
> Recent messages:
> For information about GNU Emacs and the GNU system, type C-h C-a.
>
> Configured using:
>  'configure --enable-checking --enable-gtk-deprecation-warnings
>  --enable-gcc-warnings=warn-only --with-modules --without-pop
>  --with-mailutils --enable-check-lisp-object-type 'CFLAGS=-ggdb3 -O0''
>
> Configured features:
> XPM JPEG TIFF GIF PNG SOUND DBUS GSETTINGS GLIB NOTIFY LIBSELINUX GNUTLS
> FREETYPE XFT ZLIB TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES THREADS
>
> Important settings:
>   value of $LANG: en_US.utf8
>   value of $XMODIFIERS: @im=ibus
>   locale-coding-system: utf-8-unix
>
> Major mode: Lisp Interaction
>
> Minor modes in effect:
>   tooltip-mode: t
>   global-eldoc-mode: t
>   eldoc-mode: t
>   electric-indent-mode: t
>   mouse-wheel-mode: t
>   tool-bar-mode: t
>   menu-bar-mode: t
>   file-name-shadow-mode: t
>   global-font-lock-mode: t
>   font-lock-mode: t
>   blink-cursor-mode: t
>   auto-composition-mode: t
>   auto-encryption-mode: t
>   auto-compression-mode: t
>   line-number-mode: t
>   transient-mark-mode: t
>
> Load-path shadows:
> None found.
>
> Features:
> (shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
> format-spec rfc822 mml easymenu mml-sec epa epg epg-config gnus-util
> rmail rmail-loaddefs mm-decode mm-bodies mm-encode mail-parse rfc2231
> mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
> mm-util mail-prsvr mail-utils phst skeleton derived edmacro kmacro pcase
> ffap thingatpt url url-proxy url-privacy url-expand url-methods
> url-history url-cookie url-domsuf url-util url-parse auth-source cl-seq
> eieio eieio-core cl-macs eieio-loaddefs password-cache url-vars mailcap
> subr-x seq byte-opt gv bytecomp byte-compile cconv rx gnutls dbus xml
> compile comint ansi-color ring cl-loaddefs cl-lib elec-pair time-date
> mule-util tooltip eldoc electric uniquify ediff-hook vc-hooks
> lisp-float-type mwheel term/x-win x-win term/common-win x-dnd tool-bar
> dnd fontset image regexp-opt fringe tabulated-list replace newcomment
> text-mode elisp-mode lisp-mode prog-mode register page menu-bar
> rfn-eshadow isearch timer select scroll-bar mouse jit-lock font-lock
> syntax facemenu font-core term/tty-colors frame cl-generic cham georgian
> utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
> japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
> ethiopic indian cyrillic chinese composite charscript charprop
> case-table epa-hook jka-cmpr-hook help simple abbrev obarray minibuffer
> cl-preloaded nadvice loaddefs button faces cus-face macroexp files
> text-properties overlay sha1 md5 base64 format env code-pages mule
> custom widget hashtable-print-readable backquote threads dbusbind
> inotify dynamic-setting system-font-setting font-render-setting
> move-toolbar gtk x-toolkit x multi-tty make-network-process emacs)
>
> Memory information:
> ((conses 16 117332 5280)
>  (symbols 48 22639 1)
>  (miscs 40 42 114)
>  (strings 32 35629 1385)
>  (string-bytes 1 970415)
>  (vectors 16 17080)
>  (vector-slots 8 536834 7574)
>  (floats 8 54 63)
>  (intervals 56 221 0)
>  (buffers 992 12))
>
> --
> Google Germany GmbH
> Erika-Mann-Straße 33
> 80636 München
>
> Geschäftsführer: Paul Manicle, Halimah DeLaine Prado
> Registergericht und -nummer: Hamburg, HRB 86891
> Sitz der Gesellschaft: Hamburg
>
> Diese E-Mail ist vertraulich.  Falls Sie diese fälschlicherweise erhalten
> haben
> sollten, leiten Sie diese bitte nicht an jemand anderes weiter, löschen Sie
> alle Kopien und Anhänge davon und lassen Sie mich bitte wissen, dass die
> E-Mail
> an die falsche Person gesendet wurde.
>
> This e-mail is confidential.  If you received this communication by
> mistake,
> please don’t forward it to anyone else, please erase all copies and
> attachments, and please let me know that it has gone to the wrong person.
>
>
>
>